# Interface VulkanClearValueType.VulkanClearValueColorIntegerSignedType

All Superinterfaces:
  `VulkanClearValueType, VulkanClearValueType.VulkanClearValueColorType`

All Known Implementing Classes:
  `VulkanClearValueColorIntegerSigned`

Enclosing interface:
  `VulkanClearValueType`

@Immutable public static non-sealed interface VulkanClearValueType.VulkanClearValueColorIntegerSignedType extends VulkanClearValueType.VulkanClearValueColorType
A color consisting of signed integer components.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface VulkanClearValueType

  `VulkanClearValueType.VulkanClearValueColorFloatingPointType, VulkanClearValueType.VulkanClearValueColorIntegerSignedType, VulkanClearValueType.VulkanClearValueColorIntegerUnsignedType, VulkanClearValueType.VulkanClearValueColorType, VulkanClearValueType.VulkanClearValueDepthStencilType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default int`
  `alpha()`
  `default int`
  `asFillBufferInteger(ByteOrder order)`
  Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`.
  `default int`
  `blue()`
  `default int`
  `green()`
  `default int`
  `red()`

  ### Methods inherited from interface VulkanClearValueType.VulkanClearValueColorType

  `asFillBufferInteger`

- ## Method Details

  - ### asFillBufferInteger

    default int asFillBufferInteger(ByteOrder order)
    Description copied from interface: `VulkanClearValueType.VulkanClearValueColorType`
    Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`.
    Specified by:
      `asFillBufferInteger` in interface `VulkanClearValueType.VulkanClearValueColorType`
    Parameters:
      `order` - The target byte order
    Returns:
      The packed color value

  - ### red

    @Default default int red()
    Returns:
      The red channel

  - ### green

    @Default default int green()
    Returns:
      The green channel

  - ### blue

    @Default default int blue()
    Returns:
      The blue channel

  - ### alpha

    @Default default int alpha()
    Returns:
      The alpha channel